#!/bin/bash

html_template="default.html"
css_template="default.css"

convert()
{
	file=$1
	filename=$(basename -- "$file")
	extension="${filename##*.}"
	filename="${filename%.*}"

	if [[ -f ../pages/$filename.md ]]
	then
		echo "making $filename.html"
		pandoc \
			-s \
			--verbose \
			--template=templates/$html_template \
			--css=$css_template \
			../pages/$filename.md \
			-t html > ../dist/$filename.html
		    #--lua-filter=links-to-html.lua
	fi
}

batch()
{
	files=$(ls ../pages)
	for f in $files
	do
		echo "$f"
		convert $f
	done
}

# Linked files
cp templates/* ../dist

# Options
case $1 in
	convert) shift 1; convert "$@";;
	batch) batch ;;
	*) echo "?" ;;
esac


